#!/usr/bin/env python3
"""
Short & sweet script for use with git clone and fetch credentials.
Requires GIT_USERNAME and GIT_PASSWORD environment variables,
intended to be called by Git via GIT_ASKPASS.

:note: Inspired by https://github.com/codeforamerica/git-jekyll-preview/blob/master/askpass.py
"""

from sys import argv
from os import environ

if __name__=='__main__':
    if 'GIT_PROTOCOL' in environ and 'GIT_URI' in environ:
        if argv[1] == "Username for '%(GIT_PROTOCOL)s%(GIT_URI)s': " % environ:
            print (environ['GIT_USERNAME'])
            exit()

        if argv[1] == "Password for '%(GIT_PROTOCOL)s%(GIT_USERNAME)s@%(GIT_URI)s': " % environ:
            print (environ['GIT_PASSWORD'])
            exit()

    if argv[1].startswith("Username for"):
        print (environ['GIT_USERNAME'])
        exit()

    if argv[1].startswith("Password for"):
        print (environ['GIT_PASSWORD'])
        exit()

    exit(1)
