"""
GSSw general definitions
"""

###########################################################################
# Error actions
###########################################################################


class ActionEnum():
    """ Enumerates different actions to handle errors.
    """
    IGNORE  = 'ignore'
    WARNING = 'warn'
    RAISE   = 'raise'

    ALL_ACTIONS = (IGNORE, WARNING, RAISE)


    @classmethod
    def checkValueInEnum(cls, value):
        """ Checks that the value is one of the enumeration value.

            Raises a ValueError if this it is not the case, does nothing if it is.
        """
        if value not in ActionEnum.ALL_ACTIONS:
            raise ValueError("value must be one of {}, got: {}"
                             .format(ActionEnum.ALL_ACTIONS, value))

