""" Functionality for starting up compoments using run_gssw.py
"""
import logging

from gssw.lib.sockets import parseAddress

logger = logging.getLogger(__name__)

def makeAddress(partialAddress, protocol="tcp", host="localhost"):
    """ Takes a string that represents a partial address and makes a complete address with defaults.
    """
    specProtocol, specHost, specPort = parseAddress(partialAddress)

    return "{}://{}:{}".format(protocol if specProtocol is None else specProtocol,
                               host if specHost is None else specHost,
                               protocol if specPort is None else specPort)


def tcpAddress(host, port):
    """ Returns 'tcp://<host>/<port>' string
    """
    return "tcp://{}:{}".format(host, port)
