# Demonstrates silx issue 1772
# https://github.com/silx-kit/silx/issues/1772

# pylint: skip-file

import datetime as dt
import numpy as np

from PyQt5.QtWidgets import QApplication
from silx.gui.plot import Plot1D

if 1:
    BACKEND = 'gl' # this gives incorrect results
else:
    BACKEND = 'mpl' # this works

def makePlot1D():

    # Make large value with a relatively small range by creating POSIX time stamps.
    base = dt.datetime.today()
    dates = [base - dt.timedelta(seconds=x) for x in range(0, 2500, 20)]

    x = np.array([d.timestamp() for d in dates], dtype=np.uint64)
    np.random.seed(seed=1)
    y = np.random.random(x.shape) * 12 - 3

    print('x[0:10]: {}'.format(x[0:10]))

    plot1D = Plot1D(backend=BACKEND)
    xAxis = plot1D.getXAxis()

    curve = plot1D.addCurve(x=x, y=y, legend='curve', symbol='o')
    plot1D.show()
    return plot1D



if __name__ == "__main__":
    app = QApplication([])
    plot1D = makePlot1D()
    app.exec_()
