#!/usr/bin/env python3
# pylint: skip-file
"""
Various methods of drawing scrolling plots.
"""
import sys
import numpy as np
import pyqtgraph as pg

pg.setConfigOptions(useOpenGL=False)

from pyqtgraph.Qt import QtCore, QtGui

class MyWin(pg.GraphicsWindow):

    def __init__(self, parent=None):
        super().__init__(parent=parent)

        # 1) Simplest approach -- update data in the array such that plot appears to scroll
        #    In these examples, the array size is fixed.
        self.p1 = self.addPlot(useOpenGL=False)

        # data1 = np.random.normal(size=int(1e6))
        # data1[10000] = 23

        if 0:
            y = np.random.normal(size=int(1e6))
            y[10000] = 23

            x = np.arange(len(y)) + 9000
        else:
            # x = np.arange('2018-03-20T12:00', '2018-03-20T23:00', 15, dtype='datetime64[s]')
            x = np.arange('2018-03-20T12:00', '2018-03-20T14:00', 15, dtype='datetime64[s]') # small number of points
            # x = np.arange('2017-12-31T12:00', '2018-01-02T14:00', 15, dtype='datetime64[s]')  # date time border
            print(x)

            #x = np.array(x.tolist())
            x = np.array([d.timestamp() for d in x.tolist()], dtype=np.uint64)

            print("len(x): {}".format(len(x)))
            np.random.seed(seed=1)
            y = np.random.random(x.shape) * 12 - 3


        curve1 = self.p1.plot(x, y)


def main():
    app = QtGui.QApplication([])

    win = MyWin()
    win.setWindowTitle('pyqtgraph example: Scrolling Plots')

    win.show()
    win.raise_()
    
    sys.exit(app.exec_())
    



## Start Qt event loop unless running in interactive mode or using pyside.
if __name__ == '__main__':
    main()
    
    
